
#include "font_data.h"

int Font_data::dx() { return 6; }
int Font_data::dy() { return 14; }


 static const char * font_all[94][14]= {
{
"      ",
"      ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"      ",
"  .   ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
" . .  ",
" . .  ",
" . .  ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
" . .  ",
" . .  ",
"..... ",
" . .  ",
"..... ",
" . .  ",
" . .  ",
"      ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"  .   ",
" .... ",
". .   ",
". .   ",
" ...  ",
"  . . ",
"  . . ",
"....  ",
"  .   ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
" .  . ",
". . . ",
" . .  ",
"   .  ",
"  .   ",
" .    ",
" . .  ",
". . . ",
".  .  ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
" .    ",
". .   ",
". .   ",
" .    ",
". .   ",
".  .. ",
".  .  ",
" .. . ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"  .   ",
"  .   ",
"  .   ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      "
},
{
"      ",
"   .  ",
"  .   ",
"  .   ",
" .    ",
" .    ",
" .    ",
" .    ",
" .    ",
"  .   ",
"  .   ",
"   .  ",
"      ",
"      "
},
{
"      ",
" .    ",
"  .   ",
"  .   ",
"   .  ",
"   .  ",
"   .  ",
"   .  ",
"   .  ",
"  .   ",
"  .   ",
" .    ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
"  .   ",
". . . ",
"..... ",
" ...  ",
"..... ",
". . . ",
"  .   ",
"      ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
"      ",
"  .   ",
"  .   ",
"..... ",
"  .   ",
"  .   ",
"      ",
"      ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"  ..  ",
"  .   ",
" .    ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"..... ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"  .   ",
" ...  ",
"  .   ",
"      ",
"      "
},
{
"      ",
"      ",
"    . ",
"    . ",
"   .  ",
"   .  ",
"  .   ",
" .    ",
" .    ",
".     ",
".     ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"  .   ",
" . .  ",
".   . ",
".   . ",
".   . ",
".   . ",
".   . ",
" . .  ",
"  .   ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"  .   ",
" ..   ",
". .   ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"..... ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
" ...  ",
".   . ",
".   . ",
"    . ",
"   .  ",
"  .   ",
" .    ",
".     ",
"..... ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"..... ",
"    . ",
"   .  ",
"  .   ",
" ...  ",
"    . ",
"    . ",
".   . ",
" ...  ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"   .  ",
"   .  ",
"  ..  ",
" . .  ",
" . .  ",
".  .  ",
"..... ",
"   .  ",
"   .  ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"..... ",
".     ",
".     ",
". ..  ",
"..  . ",
"    . ",
"    . ",
".   . ",
" ...  ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
" ...  ",
".   . ",
".     ",
".     ",
"....  ",
".   . ",
".   . ",
".   . ",
" ...  ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"..... ",
"    . ",
"   .  ",
"   .  ",
"  .   ",
"  .   ",
" .    ",
" .    ",
" .    ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
" ...  ",
".   . ",
".   . ",
".   . ",
" ...  ",
".   . ",
".   . ",
".   . ",
" ...  ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
" ...  ",
".   . ",
".   . ",
".   . ",
" .... ",
"    . ",
"    . ",
".   . ",
" ...  ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
"      ",
"  .   ",
" ...  ",
"  .   ",
"      ",
"      ",
"  .   ",
" ...  ",
"  .   ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
"      ",
"  .   ",
" ...  ",
"  .   ",
"      ",
"      ",
"  ..  ",
"  .   ",
" .    ",
"      ",
"      "
},
{
"      ",
"      ",
"    . ",
"   .  ",
"  .   ",
" .    ",
".     ",
" .    ",
"  .   ",
"   .  ",
"    . ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
"      ",
"      ",
"..... ",
"      ",
"      ",
"..... ",
"      ",
"      ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
".     ",
" .    ",
"  .   ",
"   .  ",
"    . ",
"   .  ",
"  .   ",
" .    ",
".     ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
" ...  ",
".   . ",
".   . ",
"    . ",
"   .  ",
"  .   ",
"  .   ",
"      ",
"  .   ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
" ...  ",
".   . ",
".   . ",
".  .. ",
". . . ",
". . . ",
". ..  ",
".     ",
" .... ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"  .   ",
" . .  ",
".   . ",
".   . ",
".   . ",
"..... ",
".   . ",
".   . ",
".   . ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"....  ",
" .  . ",
" .  . ",
" .  . ",
" ...  ",
" .  . ",
" .  . ",
" .  . ",
"....  ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
" ...  ",
".   . ",
".     ",
".     ",
".     ",
".     ",
".     ",
".   . ",
" ...  ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"....  ",
" .  . ",
" .  . ",
" .  . ",
" .  . ",
" .  . ",
" .  . ",
" .  . ",
"....  ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"..... ",
".     ",
".     ",
".     ",
"....  ",
".     ",
".     ",
".     ",
"..... ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"..... ",
".     ",
".     ",
".     ",
"....  ",
".     ",
".     ",
".     ",
".     ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
" ...  ",
".   . ",
".     ",
".     ",
".     ",
".  .. ",
".   . ",
".   . ",
" ...  ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
".   . ",
".   . ",
".   . ",
".   . ",
"..... ",
".   . ",
".   . ",
".   . ",
".   . ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
" ...  ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
" ...  ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"  ... ",
"   .  ",
"   .  ",
"   .  ",
"   .  ",
"   .  ",
"   .  ",
".  .  ",
" ..   ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
".   . ",
".   . ",
".  .  ",
". .   ",
"..    ",
". .   ",
".  .  ",
".   . ",
".   . ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
".     ",
".     ",
".     ",
".     ",
".     ",
".     ",
".     ",
".     ",
"..... ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
".   . ",
".   . ",
".. .. ",
". . . ",
". . . ",
".   . ",
".   . ",
".   . ",
".   . ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
".   . ",
"..  . ",
"..  . ",
". . . ",
". . . ",
".  .. ",
".  .. ",
".   . ",
".   . ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
" ...  ",
".   . ",
".   . ",
".   . ",
".   . ",
".   . ",
".   . ",
".   . ",
" ...  ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"....  ",
".   . ",
".   . ",
".   . ",
"....  ",
".     ",
".     ",
".     ",
".     ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
" ...  ",
".   . ",
".   . ",
".   . ",
".   . ",
".   . ",
".   . ",
". . . ",
" ...  ",
"    . ",
"      ",
"      "
},
{
"      ",
"      ",
"....  ",
".   . ",
".   . ",
".   . ",
"....  ",
". .   ",
".  .  ",
".   . ",
".   . ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
" ...  ",
".   . ",
".     ",
".     ",
" ...  ",
"    . ",
"    . ",
".   . ",
" ...  ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"..... ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
".   . ",
".   . ",
".   . ",
".   . ",
".   . ",
".   . ",
".   . ",
".   . ",
" ...  ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
".   . ",
".   . ",
".   . ",
".   . ",
" . .  ",
" . .  ",
" . .  ",
"  .   ",
"  .   ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
".   . ",
".   . ",
".   . ",
".   . ",
". . . ",
". . . ",
". . . ",
". . . ",
" . .  ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
".   . ",
".   . ",
" . .  ",
" . .  ",
"  .   ",
" . .  ",
" . .  ",
".   . ",
".   . ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
".   . ",
".   . ",
" . .  ",
" . .  ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"..... ",
"    . ",
"   .  ",
"   .  ",
"  .   ",
" .    ",
" .    ",
".     ",
"..... ",
"      ",
"      ",
"      "
},
{
"      ",
" ...  ",
" .    ",
" .    ",
" .    ",
" .    ",
" .    ",
" .    ",
" .    ",
" .    ",
" .    ",
" ...  ",
"      ",
"      "
},
{
"      ",
"      ",
".     ",
".     ",
" .    ",
" .    ",
"  .   ",
"   .  ",
"   .  ",
"    . ",
"    . ",
"      ",
"      ",
"      "
},
{
"      ",
" ...  ",
"   .  ",
"   .  ",
"   .  ",
"   .  ",
"   .  ",
"   .  ",
"   .  ",
"   .  ",
"   .  ",
" ...  ",
"      ",
"      "
},
{
"      ",
"      ",
"  .   ",
" . .  ",
".   . ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"..... ",
"      ",
"      "
},
{
"      ",
"  .   ",
"   .  ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
"      ",
"      ",
" ...  ",
"    . ",
" .... ",
".   . ",
".  .. ",
" .. . ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
".     ",
".     ",
".     ",
"....  ",
".   . ",
".   . ",
".   . ",
".   . ",
"....  ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
"      ",
"      ",
" ...  ",
".   . ",
".     ",
".     ",
".   . ",
" ...  ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"    . ",
"    . ",
"    . ",
" .... ",
".   . ",
".   . ",
".   . ",
".   . ",
" .... ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
"      ",
"      ",
" ...  ",
".   . ",
"..... ",
".     ",
".   . ",
" ...  ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"  ..  ",
" .  . ",
" .    ",
" .    ",
"....  ",
" .    ",
" .    ",
" .    ",
" .    ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
"      ",
"      ",
" ...  ",
".   . ",
".   . ",
".   . ",
" .... ",
"    . ",
".   . ",
" ...  ",
"      "
},
{
"      ",
"      ",
".     ",
".     ",
".     ",
". ..  ",
"..  . ",
".   . ",
".   . ",
".   . ",
".   . ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
"  .   ",
"      ",
" ..   ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
" ...  ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
"   .  ",
"      ",
"  ..  ",
"   .  ",
"   .  ",
"   .  ",
"   .  ",
".  .  ",
".  .  ",
" ..   ",
"      "
},
{
"      ",
"      ",
".     ",
".     ",
".     ",
".  .  ",
". .   ",
"..    ",
". .   ",
".  .  ",
".   . ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
" ..   ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
" ...  ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
"      ",
"      ",
".. .  ",
". . . ",
". . . ",
". . . ",
". . . ",
".   . ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
"      ",
"      ",
". ..  ",
"..  . ",
".   . ",
".   . ",
".   . ",
".   . ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
"      ",
"      ",
" ...  ",
".   . ",
".   . ",
".   . ",
".   . ",
" ...  ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
"      ",
"      ",
"....  ",
".   . ",
".   . ",
".   . ",
"....  ",
".     ",
".     ",
".     ",
"      "
},
{
"      ",
"      ",
"      ",
"      ",
"      ",
" .... ",
".   . ",
".   . ",
".   . ",
" .... ",
"    . ",
"    . ",
"    . ",
"      "
},
{
"      ",
"      ",
"      ",
"      ",
"      ",
". ..  ",
"..  . ",
".     ",
".     ",
".     ",
".     ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
"      ",
"      ",
" ...  ",
".   . ",
" ..   ",
"   .  ",
".   . ",
" ...  ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
" .    ",
" .    ",
"....  ",
" .    ",
" .    ",
" .    ",
" .  . ",
"  ..  ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
"      ",
"      ",
".   . ",
".   . ",
".   . ",
".   . ",
".  .. ",
" .. . ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
"      ",
"      ",
".   . ",
".   . ",
".   . ",
" . .  ",
" . .  ",
"  .   ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
"      ",
"      ",
".   . ",
".   . ",
". . . ",
". . . ",
". . . ",
" . .  ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
"      ",
"      ",
".   . ",
" . .  ",
"  .   ",
"  .   ",
" . .  ",
".   . ",
"      ",
"      ",
"      "
},
{
"      ",
"      ",
"      ",
"      ",
"      ",
".   . ",
".   . ",
".   . ",
".  .. ",
" .. . ",
"    . ",
".   . ",
" ...  ",
"      "
},
{
"      ",
"      ",
"      ",
"      ",
"      ",
"..... ",
"   .  ",
"  .   ",
" .    ",
".     ",
"..... ",
"      ",
"      ",
"      "
},
{
"      ",
"   .. ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"..    ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"   .. ",
"      ",
"      "
},
{
"      ",
"      ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"      ",
"      ",
"      "
},
{
"      ",
"..    ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"   .. ",
"  .   ",
"  .   ",
"  .   ",
"  .   ",
"..    ",
"      ",
"      "
},
{
"      ",
"      ",
" .  . ",
". . . ",
".  .  ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      ",
"      "
},
}; 

char Font_data::get_field(int letter,int x,int y) {
	int index=letter-33;
	if (index<0||index>94) { return ' '; }
	if (x<0) return ' ';
	if (x>=dx()) return ' ';

	if (y<0) return ' ';
	if (y>=dy()) return ' ';

	const char *str=font_all[index][y];
	char r;
	r=str[x];
	return r;
}

